class ScreenPixel {
  
  private final int row;
  private final int col;
  private color pixColor;
  private int sourceID;
  private int particleID;
  
  ScreenPixel() {
    this.row = -1;
    this.col = -1;
  }
  
  ScreenPixel(final int row, final int col, color pixColor) {
    this.row = row;
    this.col = col;
    this.pixColor = pixColor;
    this.sourceID = -1;
    this.particleID = -1;
  }
  
  int getRow() {
    return this.row;
  }
  
  int getCol() {
    return this.col;
  }
  
  int getColor() {
    return this.pixColor;
  }
  
  int getSourceID() {
    return this.sourceID;
  }
  
  int getParticleID() {
    return this.particleID;
  }
  
  void setColor(color pixColor) {
    this.pixColor = pixColor;
  }
  
  void setSourceID(int sourceID) {
    this.sourceID = sourceID;
  }
  
  void setParticleID(int particleID) {
    this.particleID = particleID;
  }
  
  boolean checkPixel(color sourceColor) {
     if (this.pixColor == sourceColor) {
       return true;
     }
     return false;
  }
  
  void display() {
    stroke(this.pixColor);
    point(this.col, this.row);
  }
    
}
